module.exports = {
    // hosting opts
    httpUnsafeOrigin: 'https://pad.ixvd.net', // main site
    httpSafeOrigin: "https://sandbox.pad.ixvd.net", // sandbox
    httpAddress: '::', // listen on
    httpPort: 3000, // main port
    httpSafePort: 3001, // sandbox port
    maxWorkers: 6,

    // admin things
    adminKeys: [ // keys of admins
        "[didier@pad.ixvd.net/6J77lHHDKGw3Y-8FAzlNNZy6G4TFA22cMwEawgp1KWo=]"
    ],
    adminEmail: "support@faulty.nl",

    // retention, size management
    accountRetentionTime: 365, // delete content of user after n days of inactivity

    // upload sizes
    maxUploadSize: 1 * 1024 * 1024 * 1024, // 1GB upload limit

    // paths
    filePath: './datastore/',
    archivePath: './data/archive',
    pinPath: './data/pins',
    taskPath: './data/tasks',
    blockPath: './block',
    blobPath: './blob',
    blobStagingPath: './data/blobstage',
    decreePath: './data/decrees',
    logPath: './data/logs',

    // debugging
    logToStdout: false,
    logLevel: 'info',
    logFeedback: false,
    verbose: false,
    installMethod: 'unspecified'
};